Shipment Fixed Asset Line
The shipment fixed asset line resource.
/shipmentFixedAssetLineList shipment fixed asset lines
Retrieve a paginated list of shipment fixed asset lines. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/shipmentFixedAssetLine?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"shipmentId": "xyz789",
"salesOrderLineId": "xyz789",
"shipped": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"serialNumber": "string"
}
]/shipmentFixedAssetLineRetrieve a shipment fixed asset line
Fetch a single shipment fixed asset line by filtering on `id`.
Query parameters
idstringMatch on the shipment fixed asset line's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/shipmentFixedAssetLine?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"shipmentId": "xyz789",
"salesOrderLineId": "xyz789",
"shipped": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"serialNumber": "string"
}/shipmentFixedAssetLineCreate a shipment fixed asset line
Create a new shipment fixed asset line.
Body parameters
shipmentIdstringrequiredReferences shipment.id
salesOrderLineIdstringrequiredReferences salesOrderLine.id
shippedbooleanrequiredserialNumberstringcompanyIdstringrequiredReferences company.id
curl --request POST \
--url https://rest.carbon.ms/shipmentFixedAssetLine \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"shipmentId":"xyz789","salesOrderLineId":"xyz789","shipped":true,"companyId":"xyz789"}'{
"id": "abc123def456",
"shipmentId": "xyz789",
"salesOrderLineId": "xyz789",
"shipped": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"serialNumber": "string"
}/shipmentFixedAssetLineUpdate a shipment fixed asset line
Update an existing shipment fixed asset line, matched on `id`.
Body parameters
shipmentIdstringrequiredReferences shipment.id
salesOrderLineIdstringrequiredReferences salesOrderLine.id
shippedbooleanrequiredserialNumberstringcompanyIdstringrequiredReferences company.id
curl --request PATCH \
--url 'https://rest.carbon.ms/shipmentFixedAssetLine?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"shipmentId":"xyz789"}'{
"id": "abc123def456",
"shipmentId": "xyz789",
"salesOrderLineId": "xyz789",
"shipped": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"serialNumber": "string"
}/shipmentFixedAssetLineDelete a shipment fixed asset line
Delete a shipment fixed asset line, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the shipment fixed asset line to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/shipmentFixedAssetLine?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'